CREATE TABLE je_net_ar_txns (
    BATCH_ID                        NUMBER(18, 0) ,
    CUSTOMER_TRX_ID                 NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    AR_TXN_RANK                     NUMBER(18, 0)     NOT NULL,
    TRANSACTION_AMOUNT              NUMBER            NOT NULL,
    NETTED_AMOUNT                   NUMBER        ,
    ORIGINAL_NETTED_AMOUNT          NUMBER        ,
    OPEN_AMOUNT                     NUMBER            NOT NULL,
    TXN_CURRENCY_NET_AMOUNT         NUMBER        ,
    TXN_CURRENCY_OPEN_AMOUNT        NUMBER        ,
    DISCOUNTED_OPEN_AMOUNT          NUMBER        ,
    APPLIED_DISCOUNT                NUMBER        ,
    TXN_CURR_DISCOUNTED_OPEN_AMT    NUMBER        ,
    CASH_RECEIPT_ID                 NUMBER(18, 0) ,
    LEGAL_ENTITY_ID                 NUMBER(18, 0)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    ATTRIBUTE_CATEGORY              VARCHAR2(120) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    BATCH_ID                        NUMBER(18, 0) ,
    CUSTOMER_TRX_ID                 NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    AR_TXN_RANK                     NUMBER(18, 0)     NOT NULL,
    TRANSACTION_AMOUNT              NUMBER            NOT NULL,
    NETTED_AMOUNT                   NUMBER        ,
    OPEN_AMOUNT                     NUMBER            NOT NULL,
    TXN_CURRENCY_NET_AMOUNT         NUMBER        ,
    TXN_CURRENCY_OPEN_AMOUNT        NUMBER        ,
    DISCOUNTED_OPEN_AMOUNT          NUMBER        ,
    APPLIED_DISCOUNT                NUMBER        ,
    TXN_CURR_DISCOUNTED_OPEN_AMT    NUMBER        ,
    CASH_RECEIPT_ID                 NUMBER(18, 0) ,
    LEGAL_ENTITY_ID                 NUMBER(18, 0)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    ATTRIBUTE_CATEGORY              VARCHAR2(120) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    ORIGINAL_NETTED_AMOUNT          NUMBER        ,
    CONSTRAINT pk_je_net_ar_txns PRIMARY KEY (BATCH_ID, CUSTOMER_TRX_ID, BATCH_ID, CUSTOMER_TRX_ID)
);
